Name: zlib
Version: 1.1.4
Release: alt2

Summary: The %name compression and decompression library
Summary(ru_RU.KOI8-R):    %name.
License: BSD
Group: System/Libraries
Url: http://www.%name.org/

Source: http://prdownloads.sourceforge.net/libpng/%name-%version.tar.bz2
Patch1: %name-1.1.3-transparent_gzread.patch
Patch2: %name-1.1.3-optimize_shared.patch
Patch3: %name-1.1.4-rh-make-test.patch

%package devel
Summary: Header files for developing apps which will use %name
Summary(ru_RU.KOI8-R): ,          %name.
Group: Development/C
Requires: %name = %version-%release
Requires: glibc-devel

%package devel-static
Summary: Static library for developing apps which will use %name
Summary(ru_RU.KOI8-R): ,           %name.
Group: Development/C
Requires: %name-devel = %version-%release
Requires: glibc-devel-static

%description
The %name compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The %name library is used by many different
system programs.

%description devel
The %name compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The %name library is used by many different
system programs.

This package contains the header files needed to develop programs
that use the %name compression and decompression library.

%description devel-static
The %name compression library provides in-memory compression and
decompression functions, including integrity checks of the uncompressed
data.  This version of the library supports only one compression method
(deflation), but other algorithms may be added later, which will have
the same stream interface.  The %name library is used by many different
system programs.

This package contains the static library needed to develop statically linked
programs that use the %name compression and decompression library.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%define _optlevel 9
%add_optflags -momit-leaf-frame-pointer

%ifarch i586 i686
	%add_optflags -DASMV
	cp -p contrib/asm${RPM_ARCH#i*}/* .
	OBJA=match.o
%else
	OBJA=
%endif

CFLAGS="$RPM_OPT_FLAGS %optflags_shared" ./configure --prefix=%prefix --shared
%make_build OBJA="$OBJA"
make test
rm -f *.o
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%prefix
%make_build OBJA="$OBJA"
make test

%install
%__mkdir_p $RPM_BUILD_ROOT{/lib,%_libdir,%_includedir,%_man3dir}

cp -a libz.so.* $RPM_BUILD_ROOT/lib/
chmod 755 $RPM_BUILD_ROOT/lib/*

v=`objdump -p libz.so |awk '/SONAME/ {print $2}'`
[ -n "$v" ]
%__ln_s ../../lib/$v $RPM_BUILD_ROOT%_libdir/libz.so

install -p -m644 libz.a $RPM_BUILD_ROOT%_libdir/
install -p -m644 zlib.h zconf.h zutil.h $RPM_BUILD_ROOT%_includedir/
install -p -m644 %name.3 $RPM_BUILD_ROOT%_man3dir/

%set_strip_method executable shared

%post -p %post_ldconfig_sys
%postun -p %postun_ldconfig

%files
/lib/*

%files devel
%_libdir/*.so
%_includedir/*
%_mandir/man?/*
%doc README* FAQ ChangeLog algorithm.txt example.c minigzip.c

%files devel-static
%_libdir/*.a

%changelog
* Sat Aug 31 2002 Dmitry V. Levin <ldv@altlinux.org> 1.1.4-alt2
- Updated %%post/%%postun scripts.
- Turned absolute symlinks into relative.
- Build the package only if test succeed (rh).
- Updated devel-static requirements.

* Tue Mar 12 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.4-alt1
- 1.1.4

* Mon Feb 11 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.3-ipl15mdk
- Built with -momit-leaf-frame-pointer.

* Fri Feb 08 2002 Dmitry V. Levin <ldv@alt-linux.org> 1.1.3-ipl14mdk
- Error handling fixes for inflate (by Owen Taylor).

* Fri Jun 22 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.3-ipl13mdk
- Fixed URL.

* Mon Jun 11 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.1.3-ipl12mdk
- Moved static library to devel-static subpackage.
- Fixed shared library link command.
- Updated requires.

* Mon Feb 19 2001 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl11mdk
- Explicitly set strip methods.

* Wed Dec 27 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl10mdk
- Commented out translations in specfile for a while.

* Thu Aug 31 2000 Dmitry V. Levin <ldv@fandra.org> 1.1.3-ipl9mdk
- Fixed bug in gzread transparent processing.
- Enabled asm optimization if available.
- RE adaptions.

* Fri Feb 25 2000 Dmitry V. Levin <ldv@fandra.org>
- Fandra adaptions.

* Mon Jul 27 1998 Jeff Johnson <jbj@redhat.com>
- upgrade to 1.1.3

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to 1.1.2
- buildroot

* Tue Oct 07 1997 Donnie Barnes <djb@redhat.com>
- added URL tag (down at the moment so it may not be correct)
- made zlib-devel require zlib

* Thu Jun 19 1997 Erik Troan <ewt@redhat.com>
- built against glibc
